]> git.sur5r.net Git - u-boot/commitdiff
Blackfin: add jtagconsole helper script
authorMike Frysinger <vapier@gentoo.org>
Mon, 1 Jun 2009 23:08:33 +0000 (19:08 -0400)
committerWolfgang Denk <wd@denx.de>
Mon, 15 Jun 2009 09:15:04 +0000 (11:15 +0200)
This script is similar to the netconsole script, but instead works with
the JTAG console device driver that exists on Blackfin parts.

Signed-off-by: Mike Frysinger <vapier@gentoo.org>
tools/jtagconsole [new file with mode: 0755]

diff --git a/tools/jtagconsole b/tools/jtagconsole
new file mode 100755 (executable)
index 0000000..24198c8
--- /dev/null
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+usage() {
+       (
+       echo "Usage: $0 [board IP] [board port]"
+       echo ""
+       echo "If IP is not specified, 'localhost' will be used"
+       echo "If port is not specified, '2001' will be used"
+       [ -z "$*" ] && exit 0
+       echo ""
+       echo "ERROR: $*"
+       exit 1
+       ) 1>&2
+       exit $?
+}
+
+while [ -n "$1" ] ; do
+       case $1 in
+               -h|--help) usage;;
+               --)        break;;
+               -*)        usage "Invalid option $1";;
+               *)         break;;
+       esac
+       shift
+done
+
+ip=${1:-localhost}
+port=${2:-2001}
+
+if [ -z "${ip}" ] || [ -n "$3" ] ; then
+       usage "Invalid number of arguments"
+fi
+
+trap "stty icanon echo intr ^C" 0 2 3 5 10 13 15
+echo "NOTE: the interrupt signal (normally ^C) has been remapped to ^T"
+
+stty -icanon -echo intr ^T
+nc ${ip} ${port}
+exit 0